bitel.billing.server.contract.bean

## Class AdditionalContractAction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.script.common.bean.AdditionalContractAction
      - - bitel.billing.server.contract.bean.AdditionalContractAction

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class AdditionalContractAction
      extends AdditionalContractAction

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalContractAction(int id, java.lang.String title)`
    `AdditionalContractAction(int id, java.lang.String title, java.lang.String description)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.script.common.bean.AdditionalContractAction

      `getDescription, setDescription`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId, getTitle`

- - ### Constructor Detail

    - #### AdditionalContractAction

          public AdditionalContractAction(int id,
                                          java.lang.String title)

    - #### AdditionalContractAction

          public AdditionalContractAction(int id,
                                          java.lang.String title,
                                          java.lang.String description)